POST/shopLog

Getshoplog

Get Shop Log

Implementation Notes

This endpoint retrieves the date and time of the last completed execution for a shop.

Mandatory parameter:

  • shopId
POST/shopLog

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
ยป shopIdbodynumberRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity ExpiredNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /shopLog \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopId": 1
}

Example responses

200 Response
{
  "lastCompletedTime": "2019-08-24T14:15:22Z"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.